centos5にALB2環境時にまたcharlock_holmes対策

2015/02/20 1:24 に 森山誠二郎 が投稿   [ 2015/10/10 21:24 に更新しました ]
CentOS5にGitLab5をインストールする によれば、centos5のyum installで入る libicu-devel はバージョンが3.6と古く、charlock_holmesには、4.2以上でなくてはならない。

なので、以下のようにソースから入れた。
wget http://download.icu-project.org/files/icu4c/54.1/icu4c-54_1-src.tgz
icu/sourceで、./configure --prefix=/usr/local/anagix_tools し、make installで入る。
charlock_holmesのgem installは、以下のようにおこなう

gem install charlock_holmes  -v 0.7.3 -- --with-icu-include=/usr/local/anagix_tools/include

Note: ほかのマシーンでインストールしたときは、--with-icu-libも必要だった

   gem install charlock_holmes  -v 0.7.3 -- --with-icu-include=/home/anagix/anagix_tools/include --with-icu-lib=/home/anagix/anagix_tools/lib とか。

Comments